require 'dry-struct'
#TODO: Here provide package documentation
## This package is used to declare struct types expected from GDS
## dry-struct is used in order to provide type definitions and flexible coercions mechanism
module Gdsapi
  module Structs
    include Dry::Types.module

    Attributes = Structs::Array.member(Structs::Hash.symbolized(id: Structs::Coercible::Int,
                   name: Structs::Coercible::String,
                   values: Structs::Array.member(Structs::Coercible::String)))

    Parent = Structs::Hash.symbolized(id: Structs::Coercible::Int)
  end
end
