## Type struct
## Used when syncing geodata with GDS
## See [[Gdsapi::Methods::GetPoints]] for details
## Also see [http://demo.gillbus.com/v2/doc.html#получение-географии-получение-списка-остановок-get] for schema definition
module Gdsapi
  module Structs
    class Type < ::Dry::Struct
      attribute :id, Structs::Coercible::Int
      attribute :name, Structs::Coercible::String
    end
  end
end
